Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger
Class SpecCommands

    java.lang.Object
      |
      +--jde.debugger.ApplicationCommands
            |
            +--jde.debugger.SpecCommands

All Implemented Interfaces:
  Protocol

public class SpecCommands
extends ApplicationCommands

SpecCommands.java

Handles commands related to breakpointing, watchpointing and catching exceptions. Jump to '`trace_exceptions`', '`watch`', '`break`', '`clear`',

Created: Fri Jul 30 15:44:59 1999

Since:
  0.1
Author:
  Amit Kumar

Field Summary
`(package private) EventRequestSpecList` | `eventRequests`

Fields inherited from class jde.debugger.ApplicationCommands
`app, identifiableEventRequests, store`

Fields inherited from interface jde.debugger.Protocol
`ATTACH_SHMEM, ATTACH_SOCKET, BR, BREAK, CANCEL_TRACE_CLASSES, CANCEL_TRACE_METHODS, CANCEL_TRACE_THREADS, CLEAR, COMMAND_ERROR, COMMAND_RESULT, CONNECTED_TO_VM, DEBUG, ERROR, EVALUATE, EVENT_BREAKPOINT_HIT, EVENT_CLASS_PREPARE, EVENT_CLASS_UNLOAD, EVENT_EXCEPTION, EVENT_METHOD_ENTRY, EVENT_METHOD_EXIT, EVENT_OTHER, EVENT_STEP_COMPLETED, EVENT_THREAD_DEATH, EVENT_THREAD_START, EVENT_VM_DEATH, EVENT_VM_DISCONNECT, EVENT_VM_START, EVENT_WATCHPOINT_HIT, EVENTSET, EXIT, FINISH, GET_ARRAY, GET_LOADED_CLASSES, GET_LOCALS, GET_OBJECT, GET_OBJECT_MONITORS, GET_PATH_INFORMATION, GET_STRING, GET_THREAD, GET_THREADS, INTERRUPT, INVALID, JDE_BUG, JDE_INIT_DEBUG_SESSION, KILL_THREAD, LAUNCH, LISTEN_SHMEM, LISTEN_SOCKET, MESSAGE, QUIT, REPORT_IDS_IN_USE, RESUME, RUN, SPEC_RESOLVED, STEP, SUSPEND, TRACE_CLASSES, TRACE_EXCEPTIONS, TRACE_METHODS, TRACE_THREADS, WARNING, WATCH`

Constructor Summary
`SpecCommands(Application a, EventRequestSpecList e, ObjectStore s)`

Method Summary
`void` | `doBreak(java.lang.Integer cmd_id, java.util.List args)` 'break' command.
`void` | `doBreakAbsolute(java.lang.Integer cmd_id, java.util.List args)` A break on a line of a given source file
`void` | `doBreakInMethod(java.lang.Integer cmd_id, java.util.List args)` A break in a particular method.
`void` | `doBreakOnLine(java.lang.Integer cmd_id, java.util.List args)` A break on a particular line of a class
`void` | `doClear(java.lang.Integer cmd_id, java.util.List args)` 'clear' command.
`void` | `doTraceExceptions(java.lang.Integer cmd_id, java.util.List args)` 'trace_exceptions' command.
`void` | `doWatch(java.lang.Integer cmd_id, java.util.List args)` 'watch' command.

Methods inherited from class jde.debugger.ApplicationCommands
`addIdentifiableRequest, deleteIdentifiableRequest`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### eventRequests

    final EventRequestSpecList eventRequests

Constructor Detail

### SpecCommands

    public SpecCommands(Application a,
                        EventRequestSpecList e,
                        ObjectStore s)

Method Detail

### doTraceExceptions

    public void doTraceExceptions(java.lang.Integer cmd_id,
                                  java.util.List args)
                           throws JDEException

  'trace_exceptions' command.

  Syntax:

       trace_exceptions classPattern type
            [thread-restriction]
            [suspend-policy]
            [class-filters]
            [class-exclusion-filters]

  Returns:

       (jde-dbo-command-result cmd_id specID)

  Comments:
  - type can be "caught", "uncaught", or "both"
  - specID is a 'long', and can be used in the 'clear' command

  See Also:
    `EventHandler.exceptionEvent(ExceptionEvent)`

### doWatch

    public void doWatch(java.lang.Integer cmd_id,
                        java.util.List args)
                 throws JDEException

  'watch' command.

  Syntax:

       watch classPattern fieldName type
            [thread-restriction]
            [expression-restriction]
            [object-id-restriction]
            [suspend-policy]
            [class-filters]
            [class-exclusion-filters]

  Returns:

       (jde-dbo-command-result cmd_id specID)

  Comments:
  - type can be "for_access" or "for_modification"
  - 'classPattern' can be a string pattern of the type *.Test
  - objectID is used when, for example, when you already know the object id of the object, the access/modification of which's field you're interested in.
  - specID is a 'long', that can be used in 'clear' commands.

  See Also:
    `EventHandler.watchpointEvent(WatchpointEvent)`

### doBreak

    public void doBreak(java.lang.Integer cmd_id,
                        java.util.List args)
                 throws JDEException

  'break' command.

  Syntax:

       break in_method class method [(args)]
            [thread-restriction]
            [expression-restriction]
            [suspend-policy]

       break on_line   class line
            [thread-restriction]
            [expression-restriction]
            [suspend-policy]

       break absolute  file line
            [thread-restriction]
            [expression-restriction]
            [suspend-policy]

  Returns:

       (jde-dbo-command-result cmd_id specID)

  Comments:
  - There are exactly three kinds of 'break' commands. One of in_method, on_line, or absolute need to be used.
  - 'class' can be a string pattern of the type *.Test
  - specID is a 'long', that can be used in 'clear' commands.

  See Also:
    `EventHandler.breakpointEvent(BreakpointEvent)`

### doClear

    public void doClear(java.lang.Integer cmd_id,
                        java.util.List args)
                 throws JDEException

  'clear' command. Clears a breakpoint, watchpoint or an exception intercept

  Syntax:

       clear specID

  Comments:
  - specIDs are returned in the 'break'/'watch'/'trace_exceptions' commands.

### doBreakInMethod

    public void doBreakInMethod(java.lang.Integer cmd_id,
                                java.util.List args)
                         throws JDEException

  A break in a particular method.

  Syntax:

       break in_method class method [(arg1,arg2,...)]
            [thread-restriction]
            [expression-restriction]
            [suspend-policy]

  Comments:
  - There should be no spaces before or after the ','; when the arguments are supplied.
  - A void method should be indicated by `()`
  - A unique method doesn't need to supply the arguments. The entire argument list should be absent in this case.

### doBreakOnLine

    public void doBreakOnLine(java.lang.Integer cmd_id,
                              java.util.List args)
                       throws JDEException

  A break on a particular line of a class

### doBreakAbsolute

    public void doBreakAbsolute(java.lang.Integer cmd_id,
                                java.util.List args)
                         throws JDEException

  A break on a line of a given source file

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD